public class QuestStageIdFilter : ISkillEnvironmentalFilter
{
	public int Filtering(IBattlePlayerReadOnlyInfo playerInfo, SkillConditionCheckerOption option)
	{
		DataMgr dataMgr = GameMgr.GetIns().GetDataMgr();
		if (dataMgr.m_BattleType != DataMgr.BattleType.Quest)
		{
			return -1;
		}
		return dataMgr.QuestBattleData.QuestStageId;
	}

	public int FilteringPrePlay(IBattlePlayerReadOnlyInfo playerInfo, SkillConditionCheckerOption option)
	{
		DataMgr dataMgr = GameMgr.GetIns().GetDataMgr();
		if (dataMgr.m_BattleType != DataMgr.BattleType.Quest)
		{
			return -1;
		}
		return dataMgr.QuestBattleData.QuestStageId;
	}
}
